# HG changeset patch
# User Barbara Locsi <locsi.barbara@gmail.com>
# Date 1468830958 -7200
#      Mon Jul 18 10:35:58 2016 +0200
# Node ID e4462c09aa92ed5529316d368474c617f7fb9d7a
# Parent  0545e0dacd333f91e6ac859f22c4c6fa5a390808
eig: modify code to match coding guidelines

diff -r 0545e0dacd33 -r e4462c09aa92 libinterp/corefcn/eig.cc
--- a/libinterp/corefcn/eig.cc	Fri Jul 15 03:16:15 2016 +0200
+++ b/libinterp/corefcn/eig.cc	Mon Jul 18 10:35:58 2016 +0200
@@ -178,11 +178,11 @@ The eigenvalues returned by @code{eig} a
     error ("eig: the combination of flags is invalid.");
   if (v_flag && m_flag)
     error ("eig: the combination of flags is invalid.");
-  if(nb_flag)
+  if (nb_flag)
     balance = false;
   
     
-  if (!AEPcase && nr_b != nc_b)
+  if (! AEPcase && nr_b != nc_b)
     err_square_matrix_required ("eig", "B");
   
   Matrix tmp_a, tmp_b;
@@ -312,7 +312,7 @@ The eigenvalues returned by @code{eig} a
               retval = ovl (result.eigenvalues ());
             }    
         }
-      else if(nargout == 2)
+      else if (nargout == 2)
         {
           if (v_flag)
             {
@@ -357,19 +357,19 @@ The eigenvalues returned by @code{eig} a
 %! assert (w, [-x, x; x, x], sqrt (eps));
 
 %!test
-%! [v, d] = eig ([1, 2; 2, 1], 'balance');
+%! [v, d] = eig ([1, 2; 2, 1], "balance");
 %! x = 1 / sqrt (2);
 %! assert (d, [-1, 0; 0, 3], sqrt (eps));
 %! assert (v, [-x, x; x, x], sqrt (eps));
 
 %!test
-%! [v, d, w] = eig ([1, 2; 2, 1], 'balance');
+%! [v, d, w] = eig ([1, 2; 2, 1], "balance");
 %! x = 1 / sqrt (2);
 %! assert (w, [-x, x; x, x], sqrt (eps));
 
 %!assert (eig (single ([1, 2; 2, 1])), single ([-1; 3]), sqrt (eps ("single")))
 
-%!assert (eig (single ([1, 2; 2, 1]), 'balance'), single ([-1; 3]), sqrt (eps ("single")))
+%!assert (eig (single ([1, 2; 2, 1]), "balance"), single ([-1; 3]), sqrt (eps ("single")))
 
 %!test
 %! [v, d] = eig (single ([1, 2; 2, 1]));
@@ -383,21 +383,21 @@ The eigenvalues returned by @code{eig} a
 %! assert (w, [-x, x; x, x], sqrt (eps ("single")));
 
 %!test
-%! [v, d] = eig (single ([1, 2; 2, 1]), 'balance');
+%! [v, d] = eig (single ([1, 2; 2, 1]), "balance");
 %! x = single (1 / sqrt (2));
 %! assert (d, single ([-1, 0; 0, 3]), sqrt (eps ("single")));
 %! assert (v, [-x, x; x, x], sqrt (eps ("single")));
 
 %!test
-%! [v, d, w] = eig (single ([1, 2; 2, 1]), 'balance');
+%! [v, d, w] = eig (single ([1, 2; 2, 1]), "balance");
 %! x = single (1 / sqrt (2));
 %! assert (w, [-x, x; x, x], sqrt (eps ("single")));
 
 %!test
 %! A = [1, 2; -1, 1];  B = [3, 3; 1, 2];
 %! [v, d] = eig (A, B);
-%! [v2, d2] = eig (A, B, 'qz');
-%! [v3, d3] = eig (A, B, 'chol');
+%! [v2, d2] = eig (A, B, "qz");
+%! [v3, d3] = eig (A, B, "chol");
 %! assert (A * v(:, 1), d(1, 1) * B * v(:, 1), sqrt (eps));
 %! assert (A * v(:, 2), d(2, 2) * B * v(:, 2), sqrt (eps));
 %! assert (v, v2);
@@ -408,8 +408,8 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = [1, 2; -1, 1];  B = [3, 3; 1, 2];
 %! [v, d, w] = eig (A, B);
-%! [v2, d2, w2] = eig (A, B, 'qz');
-%! [v3, d3, w3] = eig (A, B, 'chol');
+%! [v2, d2, w2] = eig (A, B, "qz");
+%! [v3, d3, w3] = eig (A, B, "chol");
 %! wt = w';
 %! assert (wt(1, :)* A, d(1, 1) * wt(1, :) * B, sqrt (eps));
 %! assert (wt(2, :)* A, d(2, 2) * wt(2, :) * B, sqrt (eps));
@@ -423,8 +423,8 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = single ([1, 2; -1, 1]);  B = single ([3, 3; 1, 2]);
 %! [v, d] = eig (A, B);
-%! [v2, d2] = eig (A, B, 'qz');
-%! [v3, d3] = eig (A, B, 'chol');
+%! [v2, d2] = eig (A, B, "qz");
+%! [v3, d3] = eig (A, B, "chol");
 %! assert (A * v(:, 1), d(1, 1) * B * v(:, 1), sqrt (eps ("single")));
 %! assert (A * v(:, 2), d(2, 2) * B * v(:, 2), sqrt (eps ("single")));
 %! assert (v, v2);
@@ -435,8 +435,8 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = single ([1, 2; -1, 1]);  B = single ([3, 3; 1, 2]);
 %! [v, d, w] = eig (A, B);
-%! [v2, d2, w2] = eig (A, B, 'qz');
-%! [v3, d3, w3] = eig (A, B, 'chol');
+%! [v2, d2, w2] = eig (A, B, "qz");
+%! [v3, d3, w3] = eig (A, B, "chol");
 %! wt = w';
 %! assert (wt(1, :)* A, d(1, 1) * wt(1, :) * B, sqrt (eps ("single")));
 %! assert (wt(2, :)* A, d(2, 2) * wt(2, :) * B, sqrt (eps ("single")));
@@ -450,7 +450,7 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = [1, 2; 2, 1];  B = [3, -2; -2, 3];
 %! [v, d] = eig (A, B);
-%! [v2, d2] = eig (A, B, 'chol');
+%! [v2, d2] = eig (A, B, "chol");
 %! assert (A * v(:, 1), d(1, 1) * B * v(:, 1), sqrt (eps));
 %! assert (A * v(:, 2), d(2, 2) * B * v(:, 2), sqrt (eps));
 %! assert (v, v2);
@@ -459,7 +459,7 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = [1, 2; 2, 1];  B = [3, -2; -2, 3];
 %! [v, d, w] = eig (A, B);
-%! [v2, d2, w2] = eig (A, B, 'chol');
+%! [v2, d2, w2] = eig (A, B, "chol");
 %! wt = w';
 %! assert (wt(1, :)* A, d(1, 1) * wt(1, :) * B, sqrt (eps));
 %! assert (wt(2, :)* A, d(2, 2) * wt(2, :) * B, sqrt (eps));
@@ -470,7 +470,7 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = single ([1, 2; 2, 1]);  B = single ([3, -2; -2, 3]);
 %! [v, d] = eig (A, B);
-%! [v2, d2] = eig (A, B, 'chol');
+%! [v2, d2] = eig (A, B, "chol");
 %! assert (A * v(:, 1), d(1, 1) * B * v(:, 1), sqrt (eps ("single")));
 %! assert (A * v(:, 2), d(2, 2) * B * v(:, 2), sqrt (eps ("single")));
 %! assert (v, v2);
@@ -479,7 +479,7 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = single ([1, 2; 2, 1]);  B = single ([3, -2; -2, 3]);
 %! [v, d, w] = eig (A, B);
-%! [v2, d2, w2] = eig (A, B, 'chol');
+%! [v2, d2, w2] = eig (A, B, "chol");
 %! wt = w';
 %! assert (wt(1, :)* A, d(1, 1) * wt(1, :) * B, sqrt (eps ("single")));
 %! assert (wt(2, :)* A, d(2, 2) * wt(2, :) * B, sqrt (eps ("single")));
@@ -490,7 +490,7 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = [1+3i, 2+i; 2-i, 1+3i];  B = [5+9i, 2+i; 2-i, 5+9i];
 %! [v, d] = eig (A, B);
-%! [v2, d2] = eig (A, B, 'chol');
+%! [v2, d2] = eig (A, B, "chol");
 %! assert (A * v(:, 1), d(1, 1) * B * v(:, 1), sqrt (eps));
 %! assert (A * v(:, 2), d(2, 2) * B * v(:, 2), sqrt (eps));
 %! assert (v, v2);
@@ -499,7 +499,7 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = [1+3i, 2+i; 2-i, 1+3i];  B = [5+9i, 2+i; 2-i, 5+9i];
 %! [v, d, w] = eig (A, B);
-%! [v2, d2, w2] = eig (A, B, 'chol');
+%! [v2, d2, w2] = eig (A, B, "chol");
 %! wt = w';
 %! assert (wt(1, :)* A, d(1, 1) * wt(1, :) * B, sqrt (eps));
 %! assert (wt(2, :)* A, d(2, 2) * wt(2, :) * B, sqrt (eps));
@@ -510,7 +510,7 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = single ([1+3i, 2+i; 2-i, 1+3i]);  B = single ([5+9i, 2+i; 2-i, 5+9i]);
 %! [v, d] = eig (A, B);
-%! [v2, d2] = eig (A, B, 'chol');
+%! [v2, d2] = eig (A, B, "chol");
 %! assert (A * v(:, 1), d(1, 1) * B * v(:, 1), sqrt (eps ("single")));
 %! assert (A * v(:, 2), d(2, 2) * B * v(:, 2), sqrt (eps ("single")));
 %! assert (v, v2);
@@ -519,7 +519,7 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = single ([1+3i, 2+i; 2-i, 1+3i]);  B = single ([5+9i, 2+i; 2-i, 5+9i]);
 %! [v, d, w] = eig (A, B);
-%! [v2, d2, w2] = eig (A, B, 'chol');
+%! [v2, d2, w2] = eig (A, B, "chol");
 %! wt = w';
 %! assert (wt(1, :)* A, d(1, 1) * wt(1, :) * B, sqrt (eps ("single")));
 %! assert (wt(2, :)* A, d(2, 2) * wt(2, :) * B, sqrt (eps ("single")));
@@ -530,8 +530,8 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = [1+3i, 2+3i; 3-8i, 8+3i];  B = [8+i, 3+i; 4-9i, 3+i];
 %! [v, d] = eig (A, B);
-%! [v2, d2] = eig (A, B, 'qz');
-%! [v3, d3] = eig (A, B, 'chol');
+%! [v2, d2] = eig (A, B, "qz");
+%! [v3, d3] = eig (A, B, "chol");
 %! assert (A * v(:, 1), d(1, 1) * B * v(:, 1), sqrt (eps));
 %! assert (A * v(:, 2), d(2, 2) * B * v(:, 2), sqrt (eps));
 %! assert (v, v2);
@@ -542,8 +542,8 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = [1+3i, 2+3i; 3-8i, 8+3i];  B = [8+i, 3+i; 4-9i, 3+i];
 %! [v, d, w] = eig (A, B);
-%! [v2, d2, w2] = eig (A, B, 'qz');
-%! [v3, d3, w3] = eig (A, B, 'chol');
+%! [v2, d2, w2] = eig (A, B, "qz");
+%! [v3, d3, w3] = eig (A, B, "chol");
 %! wt = w';
 %! assert (wt(1, :)* A, d(1, 1) * wt(1, :) * B, sqrt (eps));
 %! assert (wt(2, :)* A, d(2, 2) * wt(2, :) * B, sqrt (eps));
@@ -557,8 +557,8 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = single ([1+3i, 2+3i; 3-8i, 8+3i]);  B = single ([8+i, 3+i; 4-9i, 3+i]);
 %! [v, d] = eig (A, B);
-%! [v2, d2] = eig (A, B, 'qz');
-%! [v3, d3] = eig (A, B, 'chol');
+%! [v2, d2] = eig (A, B, "qz");
+%! [v3, d3] = eig (A, B, "chol");
 %! assert (A * v(:, 1), d(1, 1) * B * v(:, 1), sqrt (eps ("single")));
 %! assert (A * v(:, 2), d(2, 2) * B * v(:, 2), sqrt (eps ("single")));
 %! assert (v, v2);
@@ -569,8 +569,8 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = single ([1+3i, 2+3i; 3-8i, 8+3i]);  B = single ([8+i, 3+i; 4-9i, 3+i]);
 %! [v, d, w] = eig (A, B);
-%! [v2, d2, w2] = eig (A, B, 'qz');
-%! [v3, d3, w3] = eig (A, B, 'chol');
+%! [v2, d2, w2] = eig (A, B, "qz");
+%! [v3, d3, w3] = eig (A, B, "chol");
 %! wt = w';
 %! assert (wt(1, :)* A, d(1, 1) * wt(1, :) * B, sqrt (eps ("single")));
 %! assert (wt(2, :)* A, d(2, 2) * wt(2, :) * B, sqrt (eps ("single")));
@@ -584,8 +584,8 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = [1, 2; 3, 8];  B = [8, 3; 4, 3];
 %! [v, d] = eig (A, B);
-%! [v2, d2] = eig (A, B, 'qz');
-%! [v3, d3] = eig (A, B, 'chol');
+%! [v2, d2] = eig (A, B, "qz");
+%! [v3, d3] = eig (A, B, "chol");
 %! assert (A * v(:, 1), d(1, 1) * B * v(:, 1), sqrt (eps));
 %! assert (A * v(:, 2), d(2, 2) * B * v(:, 2), sqrt (eps));
 %! assert (v, v2);
@@ -596,8 +596,8 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = [1, 2; 3, 8];  B = [8, 3; 4, 3];
 %! [v, d, w] = eig (A, B);
-%! [v2, d2, w2] = eig (A, B, 'qz');
-%! [v3, d3, w3] = eig (A, B, 'chol');
+%! [v2, d2, w2] = eig (A, B, "qz");
+%! [v3, d3, w3] = eig (A, B, "chol");
 %! wt = w';
 %! assert (wt(1, :)* A, d(1, 1) * wt(1, :) * B, sqrt (eps));
 %! assert (wt(2, :)* A, d(2, 2) * wt(2, :) * B, sqrt (eps));
@@ -611,7 +611,7 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = [1, 1+i; 1-i, 1];  B = [2, 0; 0, 2];
 %! [v, d] = eig (A, B);
-%! [v2, d2] = eig (A, B, 'chol');
+%! [v2, d2] = eig (A, B, "chol");
 %! assert (A * v(:, 1), d(1, 1) * B * v(:, 1), sqrt (eps));
 %! assert (A * v(:, 2), d(2, 2) * B * v(:, 2), sqrt (eps));
 %! assert (v, v2);
@@ -620,7 +620,7 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = [1, 1+i; 1-i, 1];  B = [2, 0; 0, 2];
 %! [v, d, w] = eig (A, B);
-%! [v2, d2, w2] = eig (A, B, 'chol');
+%! [v2, d2, w2] = eig (A, B, "chol");
 %! wt = w';
 %! assert (wt(1, :)* A, d(1, 1) * wt(1, :) * B, sqrt (eps));
 %! assert (wt(2, :)* A, d(2, 2) * wt(2, :) * B, sqrt (eps));
@@ -631,7 +631,7 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = single ([1, 1+i; 1-i, 1]);  B = single ([2, 0; 0, 2]);
 %! [v, d] = eig (A, B);
-%! [v2, d2] = eig (A, B, 'chol');
+%! [v2, d2] = eig (A, B, "chol");
 %! assert (A * v(:, 1), d(1, 1) * B * v(:, 1), sqrt (eps ("single")));
 %! assert (A * v(:, 2), d(2, 2) * B * v(:, 2), sqrt (eps ("single")));
 %! assert (v, v2);
@@ -640,7 +640,7 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = single ([1, 1+i; 1-i, 1]);  B = single ([2, 0; 0, 2]);
 %! [v, d, w] = eig (A, B);
-%! [v2, d2, w2] = eig (A, B, 'chol');
+%! [v2, d2, w2] = eig (A, B, "chol");
 %! wt = w';
 %! assert (wt(1, :)* A, d(1, 1) * wt(1, :) * B, sqrt (eps ("single")));
 %! assert (wt(2, :)* A, d(2, 2) * wt(2, :) * B, sqrt (eps ("single")));
@@ -651,8 +651,8 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = [3 -2 -0.9 0; -2 4 1 -0; -0 0 -1 0; -0.5 -0.5 0.1 1];
 %! [V1, D1] = eig (A);
-%! [V2, D2] = eig (A, 'balance');
-%! [V3, D3] = eig (A, 'nobalance');
+%! [V2, D2] = eig (A, "balance");
+%! [V3, D3] = eig (A, "nobalance");
 %! assert (V1, V2);
 %! assert (D1, D2);
 %! assert (isequal (V2, V3), false);
@@ -660,8 +660,8 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = diag([10^-16, 10^-15]);
 %! [V1,D1] = eig(A,A);
-%! [V2,D2] = eig(A,A,'qz');
-%! [V3,D3] = eig(A,A,'chol');
+%! [V2,D2] = eig(A,A,"qz");
+%! [V3,D3] = eig(A,A,"chol");
 %! assert (V1, V3);
 %! assert (D1, D3);
 %! assert (isequal (V1, V2), false);
@@ -669,12 +669,12 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = [1, 2; 2, 1];
 %! d = eig (A);
-%! assert (columns(d), 1);
-%! d2 = eig (A, 'vector');
-%! assert (columns(d2), 1);
+%! assert (isvector(d), true);
+%! d2 = eig (A, "vector");
+%! assert (isvector(d2), true);
 %! [v, d3] = eig (A);
 %! assert (isdiag(d3), true);
-%! d4 = eig (A, 'matrix');
+%! d4 = eig (A, "matrix");
 %! assert (isdiag(d4), true);
 %! assert (d, d2);
 %! assert (d3, d4);
@@ -682,19 +682,19 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = [1, 2; 2, 1];
-%! [v, d, w] = eig (A, 'balance', 'vector');
-%! assert (columns(d), 1);
-%! [v2, d2, w2] = eig (A, 'vector', 'balance');
-%! assert (columns(d2), 1);
+%! [v, d, w] = eig (A, "balance", "vector");
+%! assert (isvector(d), true);
+%! [v2, d2, w2] = eig (A, "vector", "balance");
+%! assert (isvector(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
 %! assert (w, w2);
 
 %!test
 %! A = [1, 2; 2, 1];
-%! [v, d, w] = eig (A, 'balance', 'matrix');
+%! [v, d, w] = eig (A, "balance", "matrix");
 %! assert (isdiag(d), true);
-%! [v2, d2, w2] = eig (A, 'matrix', 'balance');
+%! [v2, d2, w2] = eig (A, "matrix", "balance");
 %! assert (isdiag(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
@@ -702,9 +702,9 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = [1, 2; 2, 1];
-%! [v, d, w] = eig (A, 'nobalance', 'matrix');
+%! [v, d, w] = eig (A, "nobalance", "matrix");
 %! assert (isdiag(d), true);
-%! [v2, d2, w2] = eig (A, 'matrix', 'nobalance');
+%! [v2, d2, w2] = eig (A, "matrix", "nobalance");
 %! assert (isdiag(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
@@ -712,10 +712,10 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = [1, 2; 2, 1];
-%! [v, d, w] = eig (A, 'nobalance', 'vector');
-%! assert (columns(d), 1);
-%! [v2, d2, w2] = eig (A, 'vector', 'nobalance');
-%! assert (columns(d2), 1);
+%! [v, d, w] = eig (A, "nobalance", "vector");
+%! assert (isvector(d), true);
+%! [v2, d2, w2] = eig (A, "vector", "nobalance");
+%! assert (isvector(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
 %! assert (w, w2);
@@ -723,12 +723,12 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = single ([1, 2; 2, 1]);
 %! d = eig (A);
-%! assert (columns(d), 1);
-%! d2 = eig (A, 'vector');
-%! assert (columns(d2), 1);
+%! assert (isvector(d), true);
+%! d2 = eig (A, "vector");
+%! assert (isvector(d2), true);
 %! [v, d3] = eig (A);
 %! assert (isdiag(d3), true);
-%! d4 = eig (A, 'matrix');
+%! d4 = eig (A, "matrix");
 %! assert (isdiag(d4), true);
 %! assert (d, d2);
 %! assert (d3, d4);
@@ -736,19 +736,19 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = single ([1, 2; 2, 1]);
-%! [v, d, w] = eig (A, 'balance', 'vector');
-%! assert (columns(d), 1);
-%! [v2, d2, w2] = eig (A, 'vector', 'balance');
-%! assert (columns(d2), 1);
+%! [v, d, w] = eig (A, "balance", "vector");
+%! assert (isvector(d), true);
+%! [v2, d2, w2] = eig (A, "vector", "balance");
+%! assert (isvector(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
 %! assert (w, w2);
 
 %!test
 %! A = single ([1, 2; 2, 1]);
-%! [v, d, w] = eig (A, 'balance', 'matrix');
+%! [v, d, w] = eig (A, "balance", "matrix");
 %! assert (isdiag(d), true);
-%! [v2, d2, w2] = eig (A, 'matrix', 'balance');
+%! [v2, d2, w2] = eig (A, "matrix", "balance");
 %! assert (isdiag(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
@@ -756,9 +756,9 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = single ([1, 2; 2, 1]);
-%! [v, d, w] = eig (A, 'nobalance', 'matrix');
+%! [v, d, w] = eig (A, "nobalance", "matrix");
 %! assert (isdiag(d), true);
-%! [v2, d2, w2] = eig (A, 'matrix', 'nobalance');
+%! [v2, d2, w2] = eig (A, "matrix", "nobalance");
 %! assert (isdiag(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
@@ -766,10 +766,10 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = single ([1, 2; 2, 1]);
-%! [v, d, w] = eig (A, 'nobalance', 'vector');
-%! assert (columns(d), 1);
-%! [v2, d2, w2] = eig (A, 'vector', 'nobalance');
-%! assert (columns(d2), 1);
+%! [v, d, w] = eig (A, "nobalance", "vector");
+%! assert (isvector(d), true);
+%! [v2, d2, w2] = eig (A, "vector", "nobalance");
+%! assert (isvector(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
 %! assert (w, w2);
@@ -777,12 +777,12 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = [1, 2; -1, 1];  B = [3, 3; 1, 2];
 %! d = eig (A, B);
-%! assert (columns(d), 1);
-%! d2 = eig (A, B, 'vector');
-%! assert (columns(d2), 1);
+%! assert (isvector(d), true);
+%! d2 = eig (A, B, "vector");
+%! assert (isvector(d2), true);
 %! [v, d3] = eig (A, B);
 %! assert (isdiag(d3), true);
-%! d4 = eig (A, B, 'matrix');
+%! d4 = eig (A, B, "matrix");
 %! assert (isdiag(d4), true);
 %! assert (d, d2);
 %! assert (d3, d4);
@@ -790,19 +790,19 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = [1, 2; -1, 1];  B = [3, 3; 1, 2];
-%! [v, d, w] = eig (A, B, 'qz', 'vector');
-%! assert (columns(d), 1);
-%! [v2, d2, w2] = eig (A, B, 'vector', 'qz');
-%! assert (columns(d2), 1);
+%! [v, d, w] = eig (A, B, "qz", "vector");
+%! assert (isvector(d), true);
+%! [v2, d2, w2] = eig (A, B, "vector", "qz");
+%! assert (isvector(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
 %! assert (w, w2);
 
 %!test
 %! A = [1, 2; -1, 1];  B = [3, 3; 1, 2];
-%! [v, d, w] = eig (A, B, 'qz', 'matrix');
+%! [v, d, w] = eig (A, B, "qz", "matrix");
 %! assert (isdiag(d), true);
-%! [v2, d2, w2] = eig (A, B, 'matrix', 'qz');
+%! [v2, d2, w2] = eig (A, B, "matrix", "qz");
 %! assert (isdiag(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
@@ -810,9 +810,9 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = [1, 2; -1, 1];  B = [3, 3; 1, 2];
-%! [v, d, w] = eig (A, B, 'chol', 'matrix');
+%! [v, d, w] = eig (A, B, "chol", "matrix");
 %! assert (isdiag(d), true);
-%! [v2, d2, w2] = eig (A, B, 'matrix', 'chol');
+%! [v2, d2, w2] = eig (A, B, "matrix", "chol");
 %! assert (isdiag(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
@@ -820,10 +820,10 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = [1, 2; -1, 1];  B = [3, 3; 1, 2];
-%! [v, d, w] = eig (A, B, 'chol', 'vector');
-%! assert (columns(d), 1);
-%! [v2, d2, w2] = eig (A, B, 'vector', 'chol');
-%! assert (columns(d2), 1);
+%! [v, d, w] = eig (A, B, "chol", "vector");
+%! assert (isvector(d), true);
+%! [v2, d2, w2] = eig (A, B, "vector", "chol");
+%! assert (isvector(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
 %! assert (w, w2);
@@ -831,12 +831,12 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = single ([1, 2; -1, 1]);  B = single ([3, 3; 1, 2]);
 %! d = eig (A, B);
-%! assert (columns(d), 1);
-%! d2 = eig (A, B, 'vector');
-%! assert (columns(d2), 1);
+%! assert (isvector(d), true);
+%! d2 = eig (A, B, "vector");
+%! assert (isvector(d2), true);
 %! [v, d3] = eig (A, B);
 %! assert (isdiag(d3), true);
-%! d4 = eig (A, B, 'matrix');
+%! d4 = eig (A, B, "matrix");
 %! assert (isdiag(d4), true);
 %! assert (d, d2);
 %! assert (d3, d4);
@@ -844,19 +844,19 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = single ([1, 2; -1, 1]);  B = single ([3, 3; 1, 2]);
-%! [v, d, w] = eig (A, B, 'qz', 'vector');
-%! assert (columns(d), 1);
-%! [v2, d2, w2] = eig (A, B, 'vector', 'qz');
-%! assert (columns(d2), 1);
+%! [v, d, w] = eig (A, B, "qz", "vector");
+%! assert (isvector(d), true);
+%! [v2, d2, w2] = eig (A, B, "vector", "qz");
+%! assert (isvector(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
 %! assert (w, w2);
 
 %!test
 %! A = single ([1, 2; -1, 1]);  B = single ([3, 3; 1, 2]);
-%! [v, d, w] = eig (A, B, 'qz', 'matrix');
+%! [v, d, w] = eig (A, B, "qz", "matrix");
 %! assert (isdiag(d), true);
-%! [v2, d2, w2] = eig (A, B, 'matrix', 'qz');
+%! [v2, d2, w2] = eig (A, B, "matrix", "qz");
 %! assert (isdiag(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
@@ -864,9 +864,9 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = single ([1, 2; -1, 1]);  B = single ([3, 3; 1, 2]);
-%! [v, d, w] = eig (A, B, 'chol', 'matrix');
+%! [v, d, w] = eig (A, B, "chol", "matrix");
 %! assert (isdiag(d), true);
-%! [v2, d2, w2] = eig (A, B, 'matrix', 'chol');
+%! [v2, d2, w2] = eig (A, B, "matrix", "chol");
 %! assert (isdiag(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
@@ -874,10 +874,10 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = single ([1, 2; -1, 1]);  B = single ([3, 3; 1, 2]);
-%! [v, d, w] = eig (A, B, 'chol', 'vector');
-%! assert (columns(d), 1);
-%! [v2, d2, w2] = eig (A, B, 'vector', 'chol');
-%! assert (columns(d2), 1);
+%! [v, d, w] = eig (A, B, "chol", "vector");
+%! assert (isvector(d), true);
+%! [v2, d2, w2] = eig (A, B, "vector", "chol");
+%! assert (isvector(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
 %! assert (w, w2);
@@ -885,12 +885,12 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = [1+3i, 2+i; 2-i, 1+3i];  B = [5+9i, 2+i; 2-i, 5+9i];
 %! d = eig (A, B);
-%! assert (columns(d), 1);
-%! d2 = eig (A, B, 'vector');
-%! assert (columns(d2), 1);
+%! assert (isvector(d), true);
+%! d2 = eig (A, B, "vector");
+%! assert (isvector(d2), true);
 %! [v, d3] = eig (A, B);
 %! assert (isdiag(d3), true);
-%! d4 = eig (A, B, 'matrix');
+%! d4 = eig (A, B, "matrix");
 %! assert (isdiag(d4), true);
 %! assert (d, d2);
 %! assert (d3, d4);
@@ -898,19 +898,19 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = [1+3i, 2+i; 2-i, 1+3i];  B = [5+9i, 2+i; 2-i, 5+9i];
-%! [v, d, w] = eig (A, B, 'qz', 'vector');
-%! assert (columns(d), 1);
-%! [v2, d2, w2] = eig (A, B, 'vector', 'qz');
-%! assert (columns(d2), 1);
+%! [v, d, w] = eig (A, B, "qz", "vector");
+%! assert (isvector(d), true);
+%! [v2, d2, w2] = eig (A, B, "vector", "qz");
+%! assert (isvector(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
 %! assert (w, w2);
 
 %!test
 %! A = [1+3i, 2+i; 2-i, 1+3i];  B = [5+9i, 2+i; 2-i, 5+9i];
-%! [v, d, w] = eig (A, B, 'qz', 'matrix');
+%! [v, d, w] = eig (A, B, "qz", "matrix");
 %! assert (isdiag(d), true);
-%! [v2, d2, w2] = eig (A, B, 'matrix', 'qz');
+%! [v2, d2, w2] = eig (A, B, "matrix", "qz");
 %! assert (isdiag(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
@@ -918,9 +918,9 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = [1+3i, 2+i; 2-i, 1+3i];  B = [5+9i, 2+i; 2-i, 5+9i];
-%! [v, d, w] = eig (A, B, 'chol', 'matrix');
+%! [v, d, w] = eig (A, B, "chol", "matrix");
 %! assert (isdiag(d), true);
-%! [v2, d2, w2] = eig (A, B, 'matrix', 'chol');
+%! [v2, d2, w2] = eig (A, B, "matrix", "chol");
 %! assert (isdiag(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
@@ -928,10 +928,10 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = [1+3i, 2+i; 2-i, 1+3i];  B = [5+9i, 2+i; 2-i, 5+9i];
-%! [v, d, w] = eig (A, B, 'chol', 'vector');
-%! assert (columns(d), 1);
-%! [v2, d2, w2] = eig (A, B, 'vector', 'chol');
-%! assert (columns(d2), 1);
+%! [v, d, w] = eig (A, B, "chol", "vector");
+%! assert (isvector(d), true);
+%! [v2, d2, w2] = eig (A, B, "vector", "chol");
+%! assert (isvector(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
 %! assert (w, w2);
@@ -939,12 +939,12 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = single ([1+3i, 2+i; 2-i, 1+3i]);  B = single ([5+9i, 2+i; 2-i, 5+9i]);
 %! d = eig (A, B);
-%! assert (columns(d), 1);
-%! d2 = eig (A, B, 'vector');
-%! assert (columns(d2), 1);
+%! assert (isvector(d), true);
+%! d2 = eig (A, B, "vector");
+%! assert (isvector(d2), true);
 %! [v, d3] = eig (A, B);
 %! assert (isdiag(d3), true);
-%! d4 = eig (A, B, 'matrix');
+%! d4 = eig (A, B, "matrix");
 %! assert (isdiag(d4), true);
 %! assert (d, d2);
 %! assert (d3, d4);
@@ -952,19 +952,19 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = single ([1+3i, 2+i; 2-i, 1+3i]);  B = single ([5+9i, 2+i; 2-i, 5+9i]);
-%! [v, d, w] = eig (A, B, 'qz', 'vector');
-%! assert (columns(d), 1);
-%! [v2, d2, w2] = eig (A, B, 'vector', 'qz');
-%! assert (columns(d2), 1);
+%! [v, d, w] = eig (A, B, "qz", "vector");
+%! assert (isvector(d), true);
+%! [v2, d2, w2] = eig (A, B, "vector", "qz");
+%! assert (isvector(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
 %! assert (w, w2);
 
 %!test
 %! A = single ([1+3i, 2+i; 2-i, 1+3i]);  B = single ([5+9i, 2+i; 2-i, 5+9i]);
-%! [v, d, w] = eig (A, B, 'qz', 'matrix');
+%! [v, d, w] = eig (A, B, "qz", "matrix");
 %! assert (isdiag(d), true);
-%! [v2, d2, w2] = eig (A, B, 'matrix', 'qz');
+%! [v2, d2, w2] = eig (A, B, "matrix", "qz");
 %! assert (isdiag(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
@@ -972,9 +972,9 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = single ([1+3i, 2+i; 2-i, 1+3i]);  B = single ([5+9i, 2+i; 2-i, 5+9i]);
-%! [v, d, w] = eig (A, B, 'chol', 'matrix');
+%! [v, d, w] = eig (A, B, "chol", "matrix");
 %! assert (isdiag(d), true);
-%! [v2, d2, w2] = eig (A, B, 'matrix', 'chol');
+%! [v2, d2, w2] = eig (A, B, "matrix", "chol");
 %! assert (isdiag(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
@@ -982,10 +982,10 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = single ([1+3i, 2+i; 2-i, 1+3i]);  B = single ([5+9i, 2+i; 2-i, 5+9i]);
-%! [v, d, w] = eig (A, B, 'chol', 'vector');
-%! assert (columns(d), 1);
-%! [v2, d2, w2] = eig (A, B, 'vector', 'chol');
-%! assert (columns(d2), 1);
+%! [v, d, w] = eig (A, B, "chol", "vector");
+%! assert (isvector(d), true);
+%! [v2, d2, w2] = eig (A, B, "vector", "chol");
+%! assert (isvector(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
 %! assert (w, w2);
@@ -993,12 +993,12 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = [1, 2; 3, 8];  B = [8, 3; 4, 3];
 %! d = eig (A, B);
-%! assert (columns(d), 1);
-%! d2 = eig (A, B, 'vector');
-%! assert (columns(d2), 1);
+%! assert (isvector(d), true);
+%! d2 = eig (A, B, "vector");
+%! assert (isvector(d2), true);
 %! [v, d3] = eig (A, B);
 %! assert (isdiag(d3), true);
-%! d4 = eig (A, B, 'matrix');
+%! d4 = eig (A, B, "matrix");
 %! assert (isdiag(d4), true);
 %! assert (d, d2);
 %! assert (d3, d4);
@@ -1006,10 +1006,10 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = [1, 2; 3, 8];  B = [8, 3; 4, 3];
-%! [v, d, w] = eig (A, B, 'qz', 'vector');
-%! assert (columns(d), 1);
-%! [v2, d2, w2] = eig (A, B, 'vector', 'qz');
-%! assert (columns(d2), 1);
+%! [v, d, w] = eig (A, B, "qz", "vector");
+%! assert (isvector(d), true);
+%! [v2, d2, w2] = eig (A, B, "vector", "qz");
+%! assert (isvector(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
 %! assert (w, w2);
@@ -1017,9 +1017,9 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = [1, 2; 3, 8];  B = [8, 3; 4, 3];
-%! [v, d, w] = eig (A, B, 'qz', 'matrix');
+%! [v, d, w] = eig (A, B, "qz", "matrix");
 %! assert (isdiag(d), true);
-%! [v2, d2, w2] = eig (A, B, 'matrix', 'qz');
+%! [v2, d2, w2] = eig (A, B, "matrix", "qz");
 %! assert (isdiag(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
@@ -1027,9 +1027,9 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = [1, 2; 3, 8];  B = [8, 3; 4, 3];
-%! [v, d, w] = eig (A, B, 'chol', 'matrix');
+%! [v, d, w] = eig (A, B, "chol", "matrix");
 %! assert (isdiag(d), true);
-%! [v2, d2, w2] = eig (A, B, 'matrix', 'chol');
+%! [v2, d2, w2] = eig (A, B, "matrix", "chol");
 %! assert (isdiag(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
@@ -1037,10 +1037,10 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = [1, 2; 3, 8];  B = [8, 3; 4, 3];
-%! [v, d, w] = eig (A, B, 'chol', 'vector');
-%! assert (columns(d), 1);
-%! [v2, d2, w2] = eig (A, B, 'vector', 'chol');
-%! assert (columns(d2), 1);
+%! [v, d, w] = eig (A, B, "chol", "vector");
+%! assert (isvector(d), true);
+%! [v2, d2, w2] = eig (A, B, "vector", "chol");
+%! assert (isvector(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
 %! assert (w, w2);
@@ -1048,12 +1048,12 @@ The eigenvalues returned by @code{eig} a
 %!test
 %! A = [1, 1+i; 1-i, 1];  B = [2, 0; 0, 2];
 %! d = eig (A, B);
-%! assert (columns(d), 1);
-%! d2 = eig (A, B, 'vector');
-%! assert (columns(d2), 1);
+%! assert (isvector(d), true);
+%! d2 = eig (A, B, "vector");
+%! assert (isvector(d2), true);
 %! [v, d3] = eig (A, B);
 %! assert (isdiag(d3), true);
-%! d4 = eig (A, B, 'matrix');
+%! d4 = eig (A, B, "matrix");
 %! assert (isdiag(d4), true);
 %! assert (d, d2);
 %! assert (d3, d4);
@@ -1061,19 +1061,19 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = [1, 1+i; 1-i, 1];  B = [2, 0; 0, 2];
-%! [v, d, w] = eig (A, B, 'qz', 'vector');
-%! assert (columns(d), 1);
-%! [v2, d2, w2] = eig (A, B, 'vector', 'qz');
-%! assert (columns(d2), 1);
+%! [v, d, w] = eig (A, B, "qz", "vector");
+%! assert (isvector(d), true);
+%! [v2, d2, w2] = eig (A, B, "vector", "qz");
+%! assert (isvector(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
 %! assert (w, w2);
 
 %!test
 %! A = [1, 1+i; 1-i, 1];  B = [2, 0; 0, 2];
-%! [v, d, w] = eig (A, B, 'qz', 'matrix');
+%! [v, d, w] = eig (A, B, "qz", "matrix");
 %! assert (isdiag(d), true);
-%! [v2, d2, w2] = eig (A, B, 'matrix', 'qz');
+%! [v2, d2, w2] = eig (A, B, "matrix", "qz");
 %! assert (isdiag(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
@@ -1081,9 +1081,9 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = [1, 1+i; 1-i, 1];  B = [2, 0; 0, 2];
-%! [v, d, w] = eig (A, B, 'chol', 'matrix');
+%! [v, d, w] = eig (A, B, "chol", "matrix");
 %! assert (isdiag(d), true);
-%! [v2, d2, w2] = eig (A, B, 'matrix', 'chol');
+%! [v2, d2, w2] = eig (A, B, "matrix", "chol");
 %! assert (isdiag(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
@@ -1091,10 +1091,10 @@ The eigenvalues returned by @code{eig} a
 
 %!test
 %! A = [1, 1+i; 1-i, 1];  B = [2, 0; 0, 2];
-%! [v, d, w] = eig (A, B, 'chol', 'vector');
-%! assert (columns(d), 1);
-%! [v2, d2, w2] = eig (A, B, 'vector', 'chol');
-%! assert (columns(d2), 1);
+%! [v, d, w] = eig (A, B, "chol", "vector");
+%! assert (isvector(d), true);
+%! [v2, d2, w2] = eig (A, B, "vector", "chol");
+%! assert (isvector(d2), true);
 %! assert (v, v2);
 %! assert (d, d2);
 %! assert (w, w2);
